<?php
require_once( explode( "wp-content" , __FILE__ )[0] . "wp-load.php" );
$ip_settings_array = get_option( 'ip_settings' );
$actid = ($ip_settings_array['actid']) ? $ip_settings_array['actid'] : false ; 
$eventkey = ($ip_settings_array['eventkey']) ? $ip_settings_array['eventkey'] : false ;

/**
 * 'url' and 'email' are required to log event tracking
 * for 'email', first check for query string, then for cookie called 'email'
 */
$url = isset($_GET['url']) ? trim(strip_tags($_GET['url'])) : false;
if (isset($_GET['email']) && $_GET['email'] != "")
{
	$email = trim(strip_tags($_GET['email']));
}
elseif (isset($_COOKIE['email']) && $_COOKIE['email'] != "")
{
	$email = trim(strip_tags($_COOKIE['email']));
}
else
{
	$email = false;
}
$email = rawurldecode($email);

/**
 * url
 */
$url_array = parse_url($url);

if (!isset($url_array['scheme']) || !isset($url_array['host'])) $url = false;

/**
 * email
 *
 */
$email = preg_replace("/\s+/", "+", $email);
$email = filter_var($email, FILTER_SANITIZE_EMAIL);
if (filter_var($email, FILTER_VALIDATE_EMAIL) === FALSE) $email = false;

/**
 * If we have a url and an email, do something with it
 */
if ($url && $email && $actid && $eventkey) 
{
	if ($_COOKIE['email'] != $email) setcookie("email", $email, time()+60*60*24*365);
	$curl = curl_init();
	curl_setopt($curl, CURLOPT_URL, "https://trackcmp.net/event");
	curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($curl, CURLOPT_POST, true);
	curl_setopt($curl, CURLOPT_POSTFIELDS, array(
		"actid" => $actid,
		"key" => $eventkey,
		"event" => "URL_Click",
		"eventdata" => $url,
		"visit" => json_encode(array(
			"email" => $email,
		)),
	));
	
	$result = curl_exec($curl);
	if ($result !== false) 
	{
		$result = json_decode($result);
		if ($result->success) {
			// echo 'Success! ';
		} else {
			//echo 'Error! ';
		}
		// echo $result->message;
	} else {
		// echo 'CURL failed to run: ', curl_error($curl);
	}	
}

/**
 * Output transparent 1x1 gif
 */
header('Content-type: image/gif');
$sTransGIF = 'R0lGODlhAQABAIAAAAAAAAAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==';
echo base64_decode($sTransGIF);

/**
 * Exit
 */
exit;
