<?php
defined( 'ABSPATH' ) or die( 'Nope, not accessing this' );
/**
 * Plugin Name: IntegratePro ActiveCampaign Click Tracking
 * Plugin URI: https://integratepro.net/integratepro-activecampaign-click-tracking/
 * Description: WordPress ActiveCampaign Click Tracking plugin
 * Author: Dave Wooding
 * Author URI: https://integratepro.net/
 * Version: 0.1
 */

add_action( 'wp_enqueue_scripts', 'integratepro_scripts', 5 );
add_action( 'admin_menu', 'ip_add_admin_menu' );
add_action( 'admin_init', 'ip_settings_init' );
 
function integratepro_scripts()
{
    wp_register_script( 'custom-script', plugins_url( '/tracker.js', __FILE__ ), '', time(), true  );
	wp_localize_script('custom-script', 'IntegratePro', array(
		'pluginsUrl' => plugins_url( '/click-tracking.php', __FILE__ ),
	));
    wp_enqueue_script( 'custom-script' );
}

function ip_add_admin_menu(  ) { 

	add_options_page( 'IntegratePro ActiveCampaign Click Tracking', 'IntegratePro ActiveCampaign Click Tracking', 'manage_options', 'integratepro_activecampaign_click_tracking', 'ip_options_page' );

}

function ip_settings_init(  ) { 

	register_setting( 'pluginPage', 'ip_settings' );

	add_settings_section(
		'ip_pluginPage_section', 
		__( '', 'wordpress' ), 
		'ip_settings_section_callback', 
		'pluginPage'
	);

	add_settings_field( 
		'actid', 
		__( 'actid', 'wordpress' ), 
		'actid_render', 
		'pluginPage', 
		'ip_pluginPage_section' 
	);

	add_settings_field( 
		'eventkey', 
		__( 'event key', 'wordpress' ), 
		'eventkey_render', 
		'pluginPage', 
		'ip_pluginPage_section' 
	);


}

function actid_render(  ) { 

	$options = get_option( 'ip_settings' );
	?>
	<input type='text' name='ip_settings[actid]' value='<?php echo $options['actid']; ?>'>
	<?php

}

function eventkey_render(  ) { 

	$options = get_option( 'ip_settings' );
	?>
	<input type='text' name='ip_settings[eventkey]' value='<?php echo $options['eventkey']; ?>'>
	<?php

}

function ip_settings_section_callback(  ) { 

	echo __( 'Provide your <code>actid</code> and <code>event key</code>.  You can find both by visiting My Settings > Tracking and enabling Site Tracking Status to On.  Add a domain to your Domain Whitelist.  Event Tracking Status to On.  The <code>event key</code> is available once you enable Event Tracking and can be regenerated.  To find your <code>actid</code>, click on the Event Tracking API and a modal window will popup and the information will be there.  Video instructions here:  <a href="https://integratepro.net/integratepro-activecampaign-click-tracking/video.php" target="_blank">https://integratepro.net/integratepro-activecampaign-click-tracking/video.php</a>', 'wordpress' );

}

function ip_options_page(  ) { 

	?>
	<form action='options.php' method='post'>

		<h2>IntegratePro ActiveCampaign Click Tracking</h2>

		<?php
		settings_fields( 'pluginPage' );
		do_settings_sections( 'pluginPage' );
		submit_button();
		?>

	</form>
	<?php

}

?>